%define major 0
%define libname %mklibname iptcdata %major
%define develname %mklibname -d iptcdata

Name: libiptcdata
Summary: IPTC tag library
Version: 1.0.4
Release: %mkrel 4
License: LGPLv2+
Group: System/Libraries
Source: http://downloads.sourceforge.net/libiptcdata/%{name}-%{version}.tar.gz
BuildRequires: python-devel
URL: http://sourceforge.net/projects/libiptcdata/

%description
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package utils
Summary: IPTC tag library
Group: System/Libraries

%description utils
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package i18n
Summary: Translations of the IPTC tag library
Group: System/Libraries
BuildArch: noarch

%description i18n
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package -n %libname
Summary: IPTC tag library
Group: System/Libraries
Requires: %name-i18n >= %version

%description -n %libname
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package -n %develname
Summary: The files needed for libiptcdata application development
Group: Development/C
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release

%description -n %develname
This package contains the libraries and include files
that you can use to develop libiptcdata applications.

%package -n python-iptcdata
Summary: IPTC tag library
Group: Development/Python

%description -n python-iptcdata
python-iptcdata is a library for parsing, editing, and saving IPTC data.

%prep
%setup -q

%build
%configure2_5x --enable-python --disable-static
%make

%install
%makeinstall_std
%find_lang %name
%find_lang iptc

find %{buildroot} -name '*.la' -delete

%files utils -f iptc.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*

%files i18n -f %name.lang

%files -n %libname
%{_libdir}/lib*.so.%{major}*

%files -n %develname
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libiptcdata
%{_datadir}/gtk-doc/html/libiptcdata

%files -n python-iptcdata
%py_platsitedir/iptcdata.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-4.mga3
+ Revision: 357533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 tmb <tmb> 1.0.4-3.mga3
+ Revision: 311497
- bump rel for broken upload

* Mon Oct 29 2012 fwang <fwang> 1.0.4-2.mga3
+ Revision: 311446
- cleanup spec file

* Sun Jan 23 2011 pterjan <pterjan> 1.0.4-2.mga1
+ Revision: 35524
- Drop old stuff
- imported package libiptcdata

